[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.8 Scrollbar

A scrollbar's type is "Scroll Bar".

#### Signals

Scrollbars send the following signals.

`signalScrollBarChanged`

  Generated when value of the scroll bar has changed (read the scrollbars knob has moved).

#### Attributes

Scrollbars publish the following attributes.

`Alpha`

  The alpha of the applied textures.

`Orientation`

  This makes the scrollbar either a horizontal scrollbar or a vertical scrollbar. Accepted values are ``sboVertical'` and ``sboHorizontal'`.

`Max`

  Maximum value the scrollbar's value can take.

`Value`

  Initial value of scrollbar.

`PageSize`

  The amount the scrollbars value is decreased/increased by a big step backward/forward (read the user clicked on the area the scrollbars knob is in).

#### Skin Attributes

Scrollbars support the following skin attributes.

`Texture`

  Texture used to draw the components background

`OverlayTextureAlpha`

  Alpha value used when drawing background texture.

`ScrollBarDn`

  The image used to draw the scrollbars increment handle if scrollbar is vertical.

`ScrollBarUp`

  The image used to draw the scrollbars decrement handle if scrollbar is vertical.

`ScrollBarRt`

  The image used to draw the scrollbars increment handle if scrollbar is horizontal.

`ScrollBarLt`

  The image used to draw the scrollbars decrement handle if scrollbar is horizontal.

#### Properties

Scrollbars publish the following properties.

`Value`

  The current value of the scrollbar. This property is read-only.

`Change`

  The amount to move scroll bar when inc/dec buttons are clicked.

`BigChange`

  The amount to move scroll bar when scroll area is clicked.

`Min`

  The minimum value the scrollbars value can take.

`Max`

  The maximum value the scrollbars value can take.

`PageSize`

  The amount the scrollbars value is decreased/increased by a big step backward/forward (read the user clicked on the area the scrollbars knob is in).

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.